<?xml version="1.0" encoding="UTF-8"?>
<grammar datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes" xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">
<!-- ITSIG exchange DocumentProfile Module -->
<!-- file: stdex-docprof.mod -->
<!-- ITSIG exchange DocumentProfile Module

     (c) International Organization for Standardization 1991 Permission
         to copy in any form is granted for use with comforming WebSGML 
         systems and appilications as defined in ISO 8879:1986(WWW),
         provided this notice is included in all copies.
-->
<!--                    document profile                           -->
  <define name="element.docprof">
    <element name="docprof">
      <ref name="attlist.docprof"/>
      <ref name="element.titles"/>
      <ref name="element.edition"/>
      <optional>
        <ref name="element.version"/>
      </optional>
      <ref name="element.language"/>
      <ref name="element.refnums"/>
      <optional>
        <ref name="element.sourceod"/>
      </optional>
      <optional>
        <ref name="element.notes"/>
      </optional>
      <optional>
        <ref name="element.endorsmt"/>
      </optional>
      <ref name="element.developc"/>
      <zeroOrMore>
        <ref name="element.replaces"/>
      </zeroOrMore>
      <zeroOrMore>
        <ref name="element.replaced"/>
      </zeroOrMore>
      <optional>
        <ref name="element.abstract"/>
      </optional>
      <zeroOrMore>
        <ref name="element.classifn"/>
      </zeroOrMore>
      <zeroOrMore>
        <ref name="element.keyword"/>
      </zeroOrMore>
      <zeroOrMore>
        <ref name="element.relstd"/>
      </zeroOrMore>
      <optional>
        <ref name="element.prodinfo"/>
      </optional>
      <zeroOrMore>
        <ref name="element.otherprm"/>
      </zeroOrMore>
      <zeroOrMore>
        <ref name="element.othertxt"/>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.docprof" combine="interleave">
    <attribute name="apply"/>
  </define>
<!--                    titles (in different languages) of the
                        standard                                   -->
  <define name="element.titles">
    <element name="titles">
      <ref name="attlist.titles"/>
      <oneOrMore>
        <ref name="element.titleent"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.titles" combine="interleave">
    <empty/>
  </define>
  <define name="attlist.titleent" combine="interleave">
    <attribute name="langcode"/>
  </define>
  <define name="element.titleent">
    <element name="titleent">
      <ref name="attlist.titleent"/>
      <ref name="element.mtitle"/>
      <optional>
        <ref name="element.ptitle"/>
      </optional>
    </element>
  </define>
<!--                    title of the standard                      -->
  <define name="element.mtitle">
    <element name="mtitle">
      <ref name="attlist.mtitle"/>
      <oneOrMore>
        <ref name="element.tline"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.mtitle" combine="interleave">
    <empty/>
  </define>
<!--                    title line                                 -->
  <define name="element.tline">
    <element name="tline">
      <ref name="attlist.tline"/>
      <zeroOrMore>
        <choice>
          <text/>
          <ref name="inline"/>
          <ref name="base.include"/>
          <ref name="local.include"/>
          <ref name="base.float"/>
          <ref name="local.float"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
<!--         type       used for e.g. introductory title, main title,
                        subsidiary title                           -->
  <define name="attlist.tline" combine="interleave">
    <optional>
      <attribute name="type"/>
    </optional>
  </define>
<!--                    title of the part                          -->
  <define name="element.ptitle">
    <element name="ptitle">
      <ref name="attlist.ptitle"/>
      <oneOrMore>
        <ref name="element.ptline"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.ptitle" combine="interleave">
    <empty/>
  </define>
<!--                    title line                                 -->
  <define name="element.ptline">
    <element name="ptline">
      <ref name="attlist.ptline"/>
      <zeroOrMore>
        <choice>
          <text/>
          <ref name="inline"/>
          <ref name="base.include"/>
          <ref name="local.include"/>
          <ref name="base.float"/>
          <ref name="local.float"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.ptline" combine="interleave">
    <optional>
      <attribute name="type"/>
    </optional>
  </define>
  <define name="element.edition">
    <element name="edition">
      <ref name="attlist.edition"/>
      <text/>
    </element>
  </define>
  <define name="attlist.edition" combine="interleave">
    <empty/>
  </define>
  <define name="element.version">
    <element name="version">
      <ref name="attlist.version"/>
      <text/>
    </element>
  </define>
  <define name="attlist.version" combine="interleave">
    <empty/>
  </define>
  <define name="element.language">
    <element name="language">
      <ref name="attlist.language"/>
      <text/>
    </element>
  </define>
  <define name="attlist.language" combine="interleave">
    <empty/>
  </define>
<!--                    reference numbers                          -->
  <define name="element.refnums">
    <element name="refnums">
      <ref name="attlist.refnums"/>
      <optional>
        <ref name="element.wdnumber"/>
      </optional>
      <ref name="element.number"/>
      <optional>
        <ref name="element.part"/>
      </optional>
      <optional>
        <ref name="element.type"/>
      </optional>
    </element>
  </define>
  <define name="attlist.refnums" combine="interleave">
    <empty/>
  </define>
<!--                    document number for working draft          -->
  <define name="element.wdnumber">
    <element name="wdnumber">
      <ref name="attlist.wdnumber"/>
      <ref name="element.com"/>
      <ref name="element.sernum"/>
    </element>
  </define>
  <define name="attlist.wdnumber" combine="interleave">
    <empty/>
  </define>
  <define name="element.com">
    <element name="com">
      <ref name="attlist.com"/>
      <text/>
    </element>
  </define>
  <define name="attlist.com" combine="interleave">
    <empty/>
  </define>
  <define name="element.sernum">
    <element name="sernum">
      <ref name="attlist.sernum"/>
      <text/>
    </element>
  </define>
  <define name="attlist.sernum" combine="interleave">
    <empty/>
  </define>
<!--                    number of the document                     -->
  <define name="element.number">
    <element name="number">
      <ref name="attlist.number"/>
      <text/>
    </element>
  </define>
  <define name="attlist.number" combine="interleave">
    <empty/>
  </define>
<!--                    number of the part                         -->
  <define name="element.part">
    <element name="part">
      <ref name="attlist.part"/>
      <text/>
    </element>
  </define>
  <define name="attlist.part" combine="interleave">
    <empty/>
  </define>
<!--                    type of document (types of Technical
                        Report for ISO)                            -->
  <define name="element.type">
    <element name="type">
      <ref name="attlist.type"/>
      <text/>
    </element>
  </define>
  <define name="attlist.type" combine="interleave">
    <empty/>
  </define>
<!--                    source of document (ISO|ISOIEC)            -->
  <define name="element.sourceod">
    <element name="sourceod">
      <ref name="attlist.sourceod"/>
      <text/>
    </element>
  </define>
  <define name="attlist.sourceod" combine="interleave">
    <empty/>
  </define>
<!--                    notes for document                         -->
  <define name="element.notes">
    <element name="notes">
      <ref name="attlist.notes"/>
      <text/>
    </element>
  </define>
  <define name="attlist.notes" combine="interleave">
    <empty/>
  </define>
  <define name="element.endorsmt">
    <element name="endorsmt">
      <ref name="attlist.endorsmt"/>
      <oneOrMore>
        <ref name="element.endorsent"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.endorsmt" combine="interleave">
    <empty/>
  </define>
  <define name="element.endorsent">
    <element name="endorsent">
      <ref name="attlist.endorsent"/>
      <ref name="element.endorsdn"/>
      <optional>
        <ref name="element.endorsnt"/>
      </optional>
    </element>
  </define>
  <define name="attlist.endorsent" combine="interleave">
    <empty/>
  </define>
<!--                    document number of endorsed standard       -->
  <define name="element.endorsdn">
    <element name="endorsdn">
      <ref name="attlist.endorsdn"/>
      <text/>
    </element>
  </define>
  <define name="attlist.endorsdn" combine="interleave">
    <empty/>
  </define>
<!--                    endorsement note                           -->
  <define name="element.endorsnt">
    <element name="endorsnt">
      <ref name="attlist.endorsnt"/>
      <ref name="m.pseq"/>
    </element>
  </define>
  <define name="attlist.endorsnt" combine="interleave">
    <empty/>
  </define>
<!--                    stages in the development cycle            -->
  <define name="element.developc">
    <element name="developc">
      <ref name="attlist.developc"/>
      <oneOrMore>
        <ref name="element.developent"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.developc" combine="interleave">
    <empty/>
  </define>
  <define name="element.developent">
    <element name="developent">
      <ref name="attlist.developent"/>
      <ref name="element.status"/>
      <ref name="element.scdate"/>
      <optional>
        <ref name="element.votestrt"/>
      </optional>
      <optional>
        <ref name="element.voteend"/>
      </optional>
      <optional>
        <ref name="element.report"/>
      </optional>
    </element>
  </define>
  <define name="attlist.developent" combine="interleave">
    <empty/>
  </define>
<!--                    status of document                         -->
  <define name="element.status">
    <element name="status">
      <ref name="attlist.status"/>
      <text/>
    </element>
  </define>
  <define name="attlist.status" combine="interleave">
    <empty/>
  </define>
<!--                    date for the status change                 -->
  <define name="element.scdate">
    <element name="scdate">
      <ref name="attlist.scdate"/>
      <text/>
    </element>
  </define>
  <define name="attlist.scdate" combine="interleave">
    <empty/>
  </define>
<!--                    date for the start of vote                 -->
  <define name="element.votestrt">
    <element name="votestrt">
      <ref name="attlist.votestrt"/>
      <text/>
    </element>
  </define>
  <define name="attlist.votestrt" combine="interleave">
    <empty/>
  </define>
<!--                    date for the end of vote                   -->
  <define name="element.voteend">
    <element name="voteend">
      <ref name="attlist.voteend"/>
      <text/>
    </element>
  </define>
  <define name="attlist.voteend" combine="interleave">
    <empty/>
  </define>
<!--                    report                                     -->
  <define name="element.report">
    <element name="report">
      <ref name="attlist.report"/>
      <ref name="m.pseq"/>
    </element>
  </define>
  <define name="attlist.report" combine="interleave">
    <empty/>
  </define>
<!--                    reference to replacement document and
                        comment                                    -->
  <define name="element.replaces">
    <element name="replaces">
      <ref name="attlist.replaces"/>
      <ref name="element.extref"/>
      <ref name="element.replcom"/>
    </element>
  </define>
  <define name="attlist.replaces" combine="interleave">
    <empty/>
  </define>
  <define name="element.replaced">
    <element name="replaced">
      <ref name="attlist.replaced"/>
      <ref name="element.extref"/>
      <ref name="element.replcom"/>
    </element>
  </define>
  <define name="attlist.replaced" combine="interleave">
    <empty/>
  </define>
  <define name="element.replcom">
    <element name="replcom">
      <ref name="attlist.replcom"/>
      <ref name="m.pseq"/>
    </element>
  </define>
  <define name="attlist.replcom" combine="interleave">
    <empty/>
  </define>
<!--                    abstract                                   -->
  <define name="element.abstract">
    <element name="abstract">
      <ref name="attlist.abstract"/>
      <zeroOrMore>
        <ref name="m.pseq"/>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.abstract" combine="interleave">
    <empty/>
  </define>
<!--                    classification of standard                 -->
  <define name="element.classifn">
    <element name="classifn">
      <ref name="attlist.classifn"/>
      <text/>
    </element>
  </define>
  <define name="attlist.classifn" combine="interleave">
    <optional>
      <attribute name="type" a:defaultValue="UDC"/>
    </optional>
  </define>
<!--                    keyword                                    -->
  <define name="element.keyword">
    <element name="keyword">
      <ref name="attlist.keyword"/>
      <text/>
    </element>
  </define>
  <define name="attlist.keyword" combine="interleave">
    <empty/>
  </define>
<!--                    related standard                           -->
  <define name="element.relstd">
    <element name="relstd">
      <ref name="attlist.relstd"/>
      <text/>
    </element>
  </define>
  <define name="attlist.relstd" combine="interleave">
    <empty/>
  </define>
<!--                    production specific information            -->
  <define name="element.prodinfo">
    <element name="prodinfo">
      <ref name="attlist.prodinfo"/>
      <zeroOrMore>
        <ref name="element.prodent"/>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.prodinfo" combine="interleave">
    <empty/>
  </define>
  <define name="element.prodent">
    <element name="prodent">
      <ref name="attlist.prodent"/>
      <ref name="element.prodparm"/>
      <ref name="element.prodval"/>
    </element>
  </define>
  <define name="attlist.prodent" combine="interleave">
    <empty/>
  </define>
<!--                    name of production parameter               -->
  <define name="element.prodparm">
    <element name="prodparm">
      <ref name="attlist.prodparm"/>
      <text/>
    </element>
  </define>
  <define name="attlist.prodparm" combine="interleave">
    <empty/>
  </define>
<!--                    value of production parameter              -->
  <define name="element.prodval">
    <element name="prodval">
      <ref name="attlist.prodval"/>
      <text/>
    </element>
  </define>
  <define name="attlist.prodval" combine="interleave">
    <empty/>
  </define>
<!--                    other parameter information                -->
  <define name="element.otherprm">
    <element name="otherprm">
      <ref name="attlist.otherprm"/>
      <text/>
    </element>
  </define>
  <define name="attlist.otherprm" combine="interleave">
    <attribute name="type"/>
  </define>
<!--                    other textual information                  -->
  <define name="element.othertxt">
    <element name="othertxt">
      <ref name="attlist.othertxt"/>
      <ref name="m.pseq"/>
    </element>
  </define>
  <define name="attlist.othertxt" combine="interleave">
    <attribute name="type"/>
  </define>
</grammar>
