<?xml version="1.0" encoding="UTF-8"?>
<grammar datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes" xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">
<!-- ITSIG exchange FIGURE Module -->
<!-- file: stdex-figure.mod -->
<!-- ITSIG exchange FIGURE Module

     (c) International Organization for Standardization 1991 Permission
         to copy in any form is granted for use with comforming WebSGML 
         systems and appilications as defined in ISO 8879:1986(WWW),
         provided this notice is included in all copies.
-->
<!--
          FIGURE - they are implemented as tables in FM+SGML
-->
<!-- ***** ELEMENT figure     - -  (figtitle?, figbody) -(%float;)   -->
  <define name="element.figure">
    <element name="figure">
      <ref name="attlist.figure"/>
      <optional>
        <ref name="element.figtitle"/>
      </optional>
      <ref name="element.figbody"/>
    </element>
  </define>
  <define name="attlist.figure" combine="interleave">
    <optional>
      <attribute name="pgwide">
        <data type="NMTOKEN"/>
      </attribute>
    </optional>
    <optional>
      <attribute name="cols">
        <data type="NMTOKEN"/>
      </attribute>
    </optional>
  </define>
  <define name="element.figbody">
    <element name="figbody">
      <ref name="attlist.figbody"/>
      <oneOrMore>
        <ref name="element.figrow"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.figbody" combine="interleave">
    <empty/>
  </define>
  <define name="element.figrow">
    <element name="figrow">
      <ref name="attlist.figrow"/>
      <oneOrMore>
        <ref name="element.figcell"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.figrow" combine="interleave">
    <empty/>
  </define>
<!-- ***** ELEMENT figtitle   - -  (%m.ph;)* -(%informative;|%include;|%float;) -->
  <define name="element.figtitle">
    <element name="figtitle">
      <ref name="attlist.figtitle"/>
      <zeroOrMore>
        <choice>
          <text/>
          <ref name="inline"/>
          <ref name="base.include"/>
          <ref name="local.include"/>
          <ref name="base.float"/>
          <ref name="local.float"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.figtitle" combine="interleave">
    <optional>
      <attribute name="id">
        <ref name="ID"/>
      </attribute>
    </optional>
    <optional>
      <attribute name="gtext"/>
    </optional>
  </define>
  <define name="element.figcell">
    <element name="figcell">
      <ref name="attlist.figcell"/>
      <choice>
        <group>
          <optional>
            <ref name="element.figcomm"/>
          </optional>
          <optional>
            <choice>
              <ref name="element.artwork"/>
              <ref name="element.p"/>
            </choice>
          </optional>
          <optional>
            <ref name="element.kl"/>
          </optional>
          <zeroOrMore>
            <ref name="display"/>
          </zeroOrMore>
          <zeroOrMore>
            <ref name="element.fignote"/>
          </zeroOrMore>
        </group>
        <ref name="element.subf"/>
      </choice>
    </element>
  </define>
  <define name="attlist.figcell" combine="interleave">
    <optional>
      <attribute name="colnum">
        <data type="NMTOKEN"/>
      </attribute>
    </optional>
    <optional>
      <attribute name="morerows">
        <data type="NMTOKEN"/>
      </attribute>
    </optional>
  </define>
  <define name="element.subf">
    <element name="subf">
      <ref name="attlist.subf"/>
      <optional>
        <ref name="element.figcomm"/>
      </optional>
      <optional>
        <choice>
          <ref name="element.artwork"/>
          <ref name="element.p"/>
        </choice>
      </optional>
      <optional>
        <ref name="element.kl"/>
      </optional>
      <zeroOrMore>
        <ref name="display"/>
      </zeroOrMore>
      <zeroOrMore>
        <ref name="element.fignote"/>
      </zeroOrMore>
      <ref name="element.subftit"/>
    </element>
  </define>
  <define name="attlist.subf" combine="interleave">
    <empty/>
  </define>
<!-- ***** ELEMENT subftit    - -  (%m.ph;)* -(%informative;|%include;|%float;) -->
  <define name="element.subftit">
    <element name="subftit">
      <ref name="attlist.subftit"/>
      <zeroOrMore>
        <choice>
          <text/>
          <ref name="inline"/>
          <ref name="base.include"/>
          <ref name="local.include"/>
          <ref name="base.float"/>
          <ref name="local.float"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.subftit" combine="interleave">
    <optional>
      <attribute name="id">
        <ref name="ID"/>
      </attribute>
    </optional>
    <optional>
      <attribute name="gtext"/>
    </optional>
  </define>
  <define name="element.figcomm">
    <element name="figcomm">
      <ref name="attlist.figcomm"/>
      <zeroOrMore>
        <choice>
          <text/>
          <ref name="inline"/>
          <ref name="base.include"/>
          <ref name="local.include"/>
          <ref name="base.float"/>
          <ref name="local.float"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.figcomm" combine="interleave">
    <empty/>
  </define>
  <define name="element.kl">
    <element name="kl">
      <ref name="attlist.kl"/>
      <oneOrMore>
        <ref name="element.klentry"/>
      </oneOrMore>
    </element>
  </define>
  <define name="attlist.kl" combine="interleave">
    <optional>
      <attribute name="id">
        <ref name="ID"/>
      </attribute>
    </optional>
    <optional>
      <attribute name="gtext"/>
    </optional>
    <optional>
      <attribute name="format" a:defaultValue="auto">
        <choice>
          <value>auto</value>
        </choice>
      </attribute>
    </optional>
  </define>
  <define name="element.klentry">
    <element name="klentry">
      <ref name="attlist.klentry"/>
      <ref name="element.kt"/>
      <ref name="element.kd"/>
    </element>
  </define>
  <define name="attlist.klentry" combine="interleave">
    <optional>
      <attribute name="id">
        <ref name="ID"/>
      </attribute>
    </optional>
  </define>
<!-- ***** ELEMENT kt         - -  (%m.ph;)*  -(fn|xref|extdoc|term|%include;|%float;) -->
  <define name="element.kt">
    <element name="kt">
      <ref name="attlist.kt"/>
      <zeroOrMore>
        <choice>
          <text/>
          <ref name="inline"/>
          <ref name="base.include"/>
          <ref name="local.include"/>
          <ref name="base.float"/>
          <ref name="local.float"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.kt" combine="interleave">
    <optional>
      <attribute name="id">
        <ref name="ID"/>
      </attribute>
    </optional>
  </define>
<!-- ELEMENT kd         (%m.par;|p)+    -->
  <define name="element.kd">
    <element name="kd">
      <ref name="attlist.kd"/>
      <zeroOrMore>
        <choice>
          <ref name="m.par"/>
          <ref name="element.p"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.kd" combine="interleave">
    <empty/>
  </define>
<!-- ***** ELEMENT fignote    (%m.par;|p)+   -(%informative|%include;|%float;) -->
  <define name="element.fignote">
    <element name="fignote">
      <ref name="attlist.fignote"/>
      <zeroOrMore>
        <choice>
          <ref name="m.par"/>
          <ref name="element.p"/>
        </choice>
      </zeroOrMore>
    </element>
  </define>
  <define name="attlist.fignote" combine="interleave">
    <optional>
      <attribute name="id">
        <ref name="ID"/>
      </attribute>
    </optional>
    <optional>
      <attribute name="gtext"/>
    </optional>
  </define>
</grammar>
